Subject: bug#17036: Continuation for Emacs: invoking a process on exit?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 20:49:09 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 17 Apr 2022 18:02:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Btw, calling 'error' in this place, which we also do on Posix
> > platforms, is not very useful: this is past the call to
> > shut_down_emacs, so all 'error' does at this point is exit with an
> > error status, and the error message is lost.  Something to keep in
> > mind, I guess.
> 
> It prints the error message OK on Debian, at least, but I guess
> emacs_perror is the function to use here?

I guess so.  Although that will be lost as well if Emacs is invoked as
a GUI program from some desktop shortcut or in some other fancy way
which redirects the standard handles to the great void...